#!/bin/bash
# m4.sh : Utiliser le processeur de macros m4

# Chaîne de caractères
chaine=abcdA01
echo "len($chaine)" | m4                           # 7
echo "substr($chaine,4)" | m4                      # A01
echo "regexp($chaine,[0-1][0-1],\&amp;Z)" | m4         # 01Z

# Arithmétique
echo "incr(22)" | m4                               # 23
echo "eval(99 / 3)" | m4                           # 33

exit 0
